## mplayer2 2.0~git20110926

=== libav/libavcodec/Makefile ===
NAME = avcodec
FFLIBS = avutil

HEADERS = avcodec.h avfft.h dxva2.h opt.h vaapi.h vdpau.h version.h xvmc.h

OBJS = allcodecs.o                                                      \
       audioconvert.o                                                   \
       avpacket.o                                                       \
       bitstream.o                                                      \
       bitstream_filter.o                                               \
       dsputil.o                                                        \
       faanidct.o                                                       \
       fmtconvert.o                                                     \
       imgconvert.o                                                     \
       jrevdct.o                                                        \
       options.o                                                        \
       parser.o                                                         \
       raw.o                                                            \
       resample.o                                                       \
       resample2.o                                                      \
       simple_idct.o                                                    \
       utils.o                                                          \

# parts needed for many different codecs
OBJS-$(CONFIG_AANDCT)                  += aandcttab.o
OBJS-$(CONFIG_AC3DSP)                  += ac3dsp.o
OBJS-$(CONFIG_ENCODERS)                += faandct.o jfdctfst.o jfdctint.o
OBJS-$(CONFIG_DCT)                     += dct.o dct32_fixed.o dct32_float.o
OBJS-$(CONFIG_DWT)                     += dwt.o
OBJS-$(CONFIG_DXVA2)                   += dxva2.o
FFT-OBJS-$(CONFIG_HARDCODED_TABLES)    += cos_tables.o cos_fixed_tables.o
OBJS-$(CONFIG_FFT)                     += avfft.o fft_fixed.o fft_float.o \
                                          $(FFT-OBJS-yes)
OBJS-$(CONFIG_GOLOMB)                  += golomb.o
OBJS-$(CONFIG_H264DSP)                 += h264dsp.o h264idct.o
OBJS-$(CONFIG_H264PRED)                += h264pred.o
OBJS-$(CONFIG_HUFFMAN)                 += huffman.o
OBJS-$(CONFIG_LPC)                     += lpc.o
OBJS-$(CONFIG_LSP)                     += lsp.o
OBJS-$(CONFIG_MDCT)                    += mdct_fixed.o mdct_float.o
OBJS-$(CONFIG_MPEGAUDIODSP)            += mpegaudiodsp.o                \
                                          mpegaudiodsp_fixed.o          \
                                          mpegaudiodsp_float.o
RDFT-OBJS-$(CONFIG_HARDCODED_TABLES)   += sin_tables.o
OBJS-$(CONFIG_RDFT)                    += rdft.o $(RDFT-OBJS-yes)
OBJS-$(CONFIG_SINEWIN)                 += sinewin.o
OBJS-$(CONFIG_VAAPI)                   += vaapi.o
OBJS-$(CONFIG_VDPAU)                   += vdpau.o

# decoders/encoders/hardware accelerators
OBJS-$(CONFIG_A64MULTI_ENCODER)        += a64multienc.o elbg.o
OBJS-$(CONFIG_A64MULTI5_ENCODER)       += a64multienc.o elbg.o
OBJS-$(CONFIG_AAC_DECODER)             += aacdec.o aactab.o aacsbr.o aacps.o \
                                          aacadtsdec.o mpeg4audio.o kbdwin.o
OBJS-$(CONFIG_AAC_ENCODER)             += aacenc.o aaccoder.o    \
                                          aacpsy.o aactab.o      \
                                          psymodel.o iirfilter.o \
                                          mpeg4audio.o kbdwin.o
OBJS-$(CONFIG_AASC_DECODER)            += aasc.o msrledec.o
OBJS-$(CONFIG_AC3_DECODER)             += ac3dec.o ac3dec_data.o ac3.o kbdwin.o
OBJS-$(CONFIG_AC3_ENCODER)             += ac3enc_float.o ac3enc.o ac3tab.o \
                                          ac3.o kbdwin.o
OBJS-$(CONFIG_AC3_FIXED_ENCODER)       += ac3enc_fixed.o ac3enc.o ac3tab.o ac3.o
OBJS-$(CONFIG_ALAC_DECODER)            += alac.o
OBJS-$(CONFIG_ALAC_ENCODER)            += alacenc.o
OBJS-$(CONFIG_ALS_DECODER)             += alsdec.o bgmc.o mpeg4audio.o
OBJS-$(CONFIG_AMRNB_DECODER)           += amrnbdec.o celp_filters.o   \
                                          celp_math.o acelp_filters.o \
                                          acelp_vectors.o             \
                                          acelp_pitch_delay.o
OBJS-$(CONFIG_AMRWB_DECODER)           += amrwbdec.o celp_filters.o   \
                                          celp_math.o acelp_filters.o \
                                          acelp_vectors.o             \
                                          acelp_pitch_delay.o lsp.o
OBJS-$(CONFIG_AMV_DECODER)             += sp5xdec.o mjpegdec.o mjpeg.o
OBJS-$(CONFIG_ANM_DECODER)             += anm.o
OBJS-$(CONFIG_ANSI_DECODER)            += ansi.o cga_data.o
OBJS-$(CONFIG_APE_DECODER)             += apedec.o
OBJS-$(CONFIG_ASS_DECODER)             += assdec.o ass.o
OBJS-$(CONFIG_ASS_ENCODER)             += assenc.o ass.o
OBJS-$(CONFIG_ASV1_DECODER)            += asv1.o mpeg12data.o
OBJS-$(CONFIG_ASV1_ENCODER)            += asv1.o mpeg12data.o
OBJS-$(CONFIG_ASV2_DECODER)            += asv1.o mpeg12data.o
OBJS-$(CONFIG_ASV2_ENCODER)            += asv1.o mpeg12data.o
OBJS-$(CONFIG_ATRAC1_DECODER)          += atrac1.o atrac.o
OBJS-$(CONFIG_ATRAC3_DECODER)          += atrac3.o atrac.o
OBJS-$(CONFIG_AURA_DECODER)            += cyuv.o
OBJS-$(CONFIG_AURA2_DECODER)           += aura.o
OBJS-$(CONFIG_AVS_DECODER)             += avs.o
OBJS-$(CONFIG_BETHSOFTVID_DECODER)     += bethsoftvideo.o
OBJS-$(CONFIG_BFI_DECODER)             += bfi.o
OBJS-$(CONFIG_BINK_DECODER)            += bink.o binkdsp.o
OBJS-$(CONFIG_BINKAUDIO_DCT_DECODER)   += binkaudio.o wma.o
OBJS-$(CONFIG_BINKAUDIO_RDFT_DECODER)  += binkaudio.o wma.o
OBJS-$(CONFIG_BMP_DECODER)             += bmp.o msrledec.o
OBJS-$(CONFIG_BMP_ENCODER)             += bmpenc.o
OBJS-$(CONFIG_C93_DECODER)             += c93.o
OBJS-$(CONFIG_CAVS_DECODER)            += cavs.o cavsdec.o cavsdsp.o \
                                          mpeg12data.o mpegvideo.o
OBJS-$(CONFIG_CDGRAPHICS_DECODER)      += cdgraphics.o
OBJS-$(CONFIG_CINEPAK_DECODER)         += cinepak.o
OBJS-$(CONFIG_CLJR_DECODER)            += cljr.o
OBJS-$(CONFIG_CLJR_ENCODER)            += cljr.o
OBJS-$(CONFIG_COOK_DECODER)            += cook.o
OBJS-$(CONFIG_CSCD_DECODER)            += cscd.o
OBJS-$(CONFIG_CYUV_DECODER)            += cyuv.o
OBJS-$(CONFIG_DCA_DECODER)             += dca.o synth_filter.o dcadsp.o
OBJS-$(CONFIG_DFA_DECODER)             += dfa.o
OBJS-$(CONFIG_DNXHD_DECODER)           += dnxhddec.o dnxhddata.o
OBJS-$(CONFIG_DNXHD_ENCODER)           += dnxhdenc.o dnxhddata.o       \
                                          mpegvideo_enc.o motion_est.o \
                                          ratecontrol.o mpeg12data.o   \
                                          mpegvideo.o
OBJS-$(CONFIG_DPX_DECODER)             += dpx.o
OBJS-$(CONFIG_DPX_ENCODER)             += dpxenc.o
OBJS-$(CONFIG_DSICINAUDIO_DECODER)     += dsicinav.o
OBJS-$(CONFIG_DSICINVIDEO_DECODER)     += dsicinav.o
OBJS-$(CONFIG_DVBSUB_DECODER)          += dvbsubdec.o
OBJS-$(CONFIG_DVBSUB_ENCODER)          += dvbsub.o
OBJS-$(CONFIG_DVDSUB_DECODER)          += dvdsubdec.o
OBJS-$(CONFIG_DVDSUB_ENCODER)          += dvdsubenc.o
OBJS-$(CONFIG_DVVIDEO_DECODER)         += dv.o dvdata.o
OBJS-$(CONFIG_DVVIDEO_ENCODER)         += dv.o dvdata.o
OBJS-$(CONFIG_DXA_DECODER)             += dxa.o
OBJS-$(CONFIG_EAC3_DECODER)            += eac3dec.o eac3_data.o
OBJS-$(CONFIG_EAC3_ENCODER)            += eac3enc.o ac3enc.o ac3enc_float.o \
                                          ac3tab.o ac3.o kbdwin.o eac3_data.o
OBJS-$(CONFIG_EACMV_DECODER)           += eacmv.o
OBJS-$(CONFIG_EAMAD_DECODER)           += eamad.o eaidct.o mpeg12.o \
                                          mpeg12data.o mpegvideo.o  \
                                          error_resilience.o
OBJS-$(CONFIG_EATGQ_DECODER)           += eatgq.o eaidct.o
OBJS-$(CONFIG_EATGV_DECODER)           += eatgv.o
OBJS-$(CONFIG_EATQI_DECODER)           += eatqi.o eaidct.o mpeg12.o \
                                          mpeg12data.o mpegvideo.o  \
                                          error_resilience.o
OBJS-$(CONFIG_EIGHTBPS_DECODER)        += 8bps.o
OBJS-$(CONFIG_EIGHTSVX_EXP_DECODER)    += 8svx.o
OBJS-$(CONFIG_EIGHTSVX_FIB_DECODER)    += 8svx.o
OBJS-$(CONFIG_ESCAPE124_DECODER)       += escape124.o
OBJS-$(CONFIG_FFV1_DECODER)            += ffv1.o rangecoder.o
OBJS-$(CONFIG_FFV1_ENCODER)            += ffv1.o rangecoder.o
OBJS-$(CONFIG_FFVHUFF_DECODER)         += huffyuv.o
OBJS-$(CONFIG_FFVHUFF_ENCODER)         += huffyuv.o
OBJS-$(CONFIG_FLAC_DECODER)            += flacdec.o flacdata.o flac.o
OBJS-$(CONFIG_FLAC_ENCODER)            += flacenc.o flacdata.o flac.o
OBJS-$(CONFIG_FLASHSV_DECODER)         += flashsv.o
OBJS-$(CONFIG_FLASHSV_ENCODER)         += flashsvenc.o
OBJS-$(CONFIG_FLASHSV2_DECODER)        += flashsv.o
OBJS-$(CONFIG_FLIC_DECODER)            += flicvideo.o
OBJS-$(CONFIG_FOURXM_DECODER)          += 4xm.o
OBJS-$(CONFIG_FRAPS_DECODER)           += fraps.o
OBJS-$(CONFIG_FRWU_DECODER)            += frwu.o
OBJS-$(CONFIG_GIF_DECODER)             += gifdec.o lzw.o
OBJS-$(CONFIG_GIF_ENCODER)             += gif.o lzwenc.o
OBJS-$(CONFIG_GSM_DECODER)             += gsmdec.o gsmdec_data.o msgsmdec.o
OBJS-$(CONFIG_GSM_MS_DECODER)          += gsmdec.o gsmdec_data.o msgsmdec.o
OBJS-$(CONFIG_H261_DECODER)            += h261dec.o h261.o \
                                          mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H261_ENCODER)            += h261enc.o h261.o             \
                                          mpegvideo_enc.o motion_est.o \
                                          ratecontrol.o mpeg12data.o   \
                                          mpegvideo.o
OBJS-$(CONFIG_H263_DECODER)            += h263dec.o h263.o ituh263dec.o        \
                                          mpeg4video.o mpeg4videodec.o flvdec.o\
                                          intelh263dec.o mpegvideo.o           \
                                          error_resilience.o
OBJS-$(CONFIG_H263_VAAPI_HWACCEL)      += vaapi_mpeg4.o
OBJS-$(CONFIG_H263_ENCODER)            += mpegvideo_enc.o mpeg4video.o      \
                                          mpeg4videoenc.o motion_est.o      \
                                          ratecontrol.o h263.o ituh263enc.o \
                                          flvenc.o mpeg12data.o             \
                                          mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H264_DECODER)            += h264.o                               \
                                          h264_loopfilter.o h264_direct.o      \
                                          cabac.o h264_sei.o h264_ps.o         \
                                          h264_refs.o h264_cavlc.o h264_cabac.o\
                                          mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H264_DXVA2_HWACCEL)      += dxva2_h264.o
OBJS-$(CONFIG_H264_VAAPI_HWACCEL)      += vaapi_h264.o
OBJS-$(CONFIG_HUFFYUV_DECODER)         += huffyuv.o
OBJS-$(CONFIG_HUFFYUV_ENCODER)         += huffyuv.o
OBJS-$(CONFIG_IDCIN_DECODER)           += idcinvideo.o
OBJS-$(CONFIG_IFF_BYTERUN1_DECODER)    += iff.o
OBJS-$(CONFIG_IFF_ILBM_DECODER)        += iff.o
OBJS-$(CONFIG_IMC_DECODER)             += imc.o
OBJS-$(CONFIG_INDEO2_DECODER)          += indeo2.o
OBJS-$(CONFIG_INDEO3_DECODER)          += indeo3.o
OBJS-$(CONFIG_INDEO5_DECODER)          += indeo5.o ivi_common.o ivi_dsp.o
OBJS-$(CONFIG_INTERPLAY_DPCM_DECODER)  += dpcm.o
OBJS-$(CONFIG_INTERPLAY_VIDEO_DECODER) += interplayvideo.o
OBJS-$(CONFIG_JPEGLS_DECODER)          += jpeglsdec.o jpegls.o \
                                          mjpegdec.o mjpeg.o
OBJS-$(CONFIG_JPEGLS_ENCODER)          += jpeglsenc.o jpegls.o
OBJS-$(CONFIG_JV_DECODER)              += jvdec.o
OBJS-$(CONFIG_KGV1_DECODER)            += kgv1dec.o
OBJS-$(CONFIG_KMVC_DECODER)            += kmvc.o
OBJS-$(CONFIG_LAGARITH_DECODER)        += lagarith.o lagarithrac.o

=== libav/libavdevice/Makefile ===
NAME    = avdevice
FFLIBS  = avformat avcodec avutil

HEADERS = avdevice.h

OBJS    = alldevices.o avdevice.o

# input/output devices
OBJS-$(CONFIG_ALSA_INDEV)                += alsa-audio-common.o \
                                            alsa-audio-dec.o
OBJS-$(CONFIG_ALSA_OUTDEV)               += alsa-audio-common.o \
                                            alsa-audio-enc.o
OBJS-$(CONFIG_BKTR_INDEV)                += bktr.o
OBJS-$(CONFIG_DV1394_INDEV)              += dv1394.o
OBJS-$(CONFIG_FBDEV_INDEV)               += fbdev.o
OBJS-$(CONFIG_JACK_INDEV)                += jack_audio.o
OBJS-$(CONFIG_OSS_INDEV)                 += oss_audio.o
OBJS-$(CONFIG_OSS_OUTDEV)                += oss_audio.o
OBJS-$(CONFIG_SNDIO_INDEV)               += sndio_common.o sndio_dec.o
OBJS-$(CONFIG_SNDIO_OUTDEV)              += sndio_common.o sndio_enc.o
OBJS-$(CONFIG_V4L2_INDEV)                += v4l2.o
OBJS-$(CONFIG_V4L_INDEV)                 += v4l.o
OBJS-$(CONFIG_VFWCAP_INDEV)              += vfwcap.o
OBJS-$(CONFIG_X11_GRAB_DEVICE_INDEV)     += x11grab.o

# external libraries
OBJS-$(CONFIG_LIBCDIO_INDEV)             += libcdio.o
OBJS-$(CONFIG_LIBDC1394_INDEV)           += libdc1394.o

SKIPHEADERS-$(HAVE_ALSA_ASOUNDLIB_H)     += alsa-audio.h
SKIPHEADERS-$(HAVE_SNDIO_H)              += sndio_common.h

include $(SRC_PATH)/subdir.mak

=== libav/libavfilter/Makefile ===
NAME = avfilter
FFLIBS = avutil
FFLIBS-$(CONFIG_MOVIE_FILTER) += avformat avcodec
FFLIBS-$(CONFIG_SCALE_FILTER) += swscale

HEADERS = avfilter.h avfiltergraph.h

OBJS = allfilters.o                                                     \
       avfilter.o                                                       \
       avfiltergraph.o                                                  \
       defaults.o                                                       \
       drawutils.o                                                      \
       formats.o                                                        \
       graphparser.o                                                    \

OBJS-$(CONFIG_ANULL_FILTER)                  += af_anull.o

OBJS-$(CONFIG_ANULLSRC_FILTER)               += asrc_anullsrc.o

OBJS-$(CONFIG_ANULLSINK_FILTER)              += asink_anullsink.o

OBJS-$(CONFIG_BLACKFRAME_FILTER)             += vf_blackframe.o
OBJS-$(CONFIG_COPY_FILTER)                   += vf_copy.o
OBJS-$(CONFIG_CROP_FILTER)                   += vf_crop.o
OBJS-$(CONFIG_CROPDETECT_FILTER)             += vf_cropdetect.o
OBJS-$(CONFIG_DRAWBOX_FILTER)                += vf_drawbox.o
OBJS-$(CONFIG_DRAWTEXT_FILTER)               += vf_drawtext.o
OBJS-$(CONFIG_FADE_FILTER)                   += vf_fade.o
OBJS-$(CONFIG_FIELDORDER_FILTER)             += vf_fieldorder.o
OBJS-$(CONFIG_FIFO_FILTER)                   += vf_fifo.o
OBJS-$(CONFIG_FORMAT_FILTER)                 += vf_format.o
OBJS-$(CONFIG_FREI0R_FILTER)                 += vf_frei0r.o
OBJS-$(CONFIG_GRADFUN_FILTER)                += vf_gradfun.o
OBJS-$(CONFIG_HFLIP_FILTER)                  += vf_hflip.o
OBJS-$(CONFIG_HQDN3D_FILTER)                 += vf_hqdn3d.o
OBJS-$(CONFIG_NOFORMAT_FILTER)               += vf_format.o
OBJS-$(CONFIG_NULL_FILTER)                   += vf_null.o
OBJS-$(CONFIG_OCV_FILTER)                    += vf_libopencv.o
OBJS-$(CONFIG_OVERLAY_FILTER)                += vf_overlay.o
OBJS-$(CONFIG_PAD_FILTER)                    += vf_pad.o
OBJS-$(CONFIG_PIXDESCTEST_FILTER)            += vf_pixdesctest.o
OBJS-$(CONFIG_SCALE_FILTER)                  += vf_scale.o
OBJS-$(CONFIG_SELECT_FILTER)                 += vf_select.o
OBJS-$(CONFIG_SETDAR_FILTER)                 += vf_aspect.o
OBJS-$(CONFIG_SETPTS_FILTER)                 += vf_setpts.o
OBJS-$(CONFIG_SETSAR_FILTER)                 += vf_aspect.o
OBJS-$(CONFIG_SETTB_FILTER)                  += vf_settb.o
OBJS-$(CONFIG_SHOWINFO_FILTER)               += vf_showinfo.o
OBJS-$(CONFIG_SLICIFY_FILTER)                += vf_slicify.o
OBJS-$(CONFIG_SPLIT_FILTER)                  += vf_split.o
OBJS-$(CONFIG_TRANSPOSE_FILTER)              += vf_transpose.o
OBJS-$(CONFIG_UNSHARP_FILTER)                += vf_unsharp.o
OBJS-$(CONFIG_VFLIP_FILTER)                  += vf_vflip.o
OBJS-$(CONFIG_YADIF_FILTER)                  += vf_yadif.o

OBJS-$(CONFIG_BUFFER_FILTER)                 += vsrc_buffer.o
OBJS-$(CONFIG_COLOR_FILTER)                  += vsrc_color.o
OBJS-$(CONFIG_FREI0R_SRC_FILTER)             += vf_frei0r.o
OBJS-$(CONFIG_MOVIE_FILTER)                  += vsrc_movie.o
OBJS-$(CONFIG_NULLSRC_FILTER)                += vsrc_nullsrc.o

OBJS-$(CONFIG_NULLSINK_FILTER)               += vsink_nullsink.o

-include $(SRC_PATH)/$(SUBDIR)$(ARCH)/Makefile

DIRS = x86

TOOLS = graph2dot lavfi-showfiltfmts

include $(SRC_PATH)/subdir.mak

=== libav/libswscale/Makefile ===
NAME = swscale
FFLIBS = avutil

HEADERS = swscale.h

OBJS = options.o rgb2rgb.o swscale.o utils.o yuv2rgb.o \
       swscale_unscaled.o

OBJS-$(ARCH_BFIN)          +=  bfin/internal_bfin.o     \
                               bfin/swscale_bfin.o      \
                               bfin/yuv2rgb_bfin.o
OBJS-$(CONFIG_MLIB)        +=  mlib/yuv2rgb_mlib.o
OBJS-$(HAVE_ALTIVEC)       +=  ppc/swscale_altivec.o    \
                               ppc/yuv2rgb_altivec.o    \
                               ppc/yuv2yuv_altivec.o
OBJS-$(HAVE_MMX)           +=  x86/rgb2rgb.o            \
                               x86/swscale_mmx.o        \
                               x86/yuv2rgb_mmx.o
OBJS-$(HAVE_VIS)           +=  sparc/yuv2rgb_vis.o
OBJS-$(HAVE_YASM)          +=  x86/scale.o

TESTPROGS = colorspace swscale

DIRS = bfin mlib ppc sparc x86

include $(SRC_PATH)/subdir.mak

## mplayer2 2.0-134

=== Makefile ===
# MPlayer Makefile
#
# copyright (c) 2008 Diego Biurrun
# Rewritten entirely from a set of Makefiles written by Arpi and many others.
#
# This file is part of MPlayer.
#
# MPlayer is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MPlayer is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with MPlayer; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

include config.mak

###### variable declarations #######

SRCS_AUDIO_INPUT-$(ALSA1X)           += stream/ai_alsa1x.c
SRCS_AUDIO_INPUT-$(ALSA9)            += stream/ai_alsa.c
SRCS_AUDIO_INPUT-$(OSS)              += stream/ai_oss.c
SRCS_COMMON-$(AUDIO_INPUT)           += $(SRCS_AUDIO_INPUT-yes)
SRCS_COMMON-$(BITMAP_FONT)           += sub/font_load.c
SRCS_COMMON-$(CDDA)                  += stream/stream_cdda.c \
                                        stream/cdinfo.c
SRCS_COMMON-$(CDDB)                  += stream/stream_cddb.c
SRCS_COMMON-$(DVBIN)                 += stream/dvb_tune.c \
                                        stream/stream_dvb.c
SRCS_COMMON-$(DVDNAV)                += stream/stream_dvdnav.c
SRCS_COMMON-$(DVDNAV_INTERNAL)       += libdvdnav/dvdnav.c \
                                        libdvdnav/highlight.c \
                                        libdvdnav/navigation.c \
                                        libdvdnav/read_cache.c \
                                        libdvdnav/remap.c \
                                        libdvdnav/searching.c \
                                        libdvdnav/settings.c \
                                        libdvdnav/vm/decoder.c \
                                        libdvdnav/vm/vm.c \
                                        libdvdnav/vm/vmcmd.c \

SRCS_COMMON-$(DVDREAD)               += stream/stream_dvd.c \
                                        stream/stream_dvd_common.c
SRCS_COMMON-$(DVDREAD_INTERNAL)      += libdvdread4/bitreader.c \
                                        libdvdread4/dvd_input.c \
                                        libdvdread4/dvd_reader.c \
                                        libdvdread4/dvd_udf.c \
                                        libdvdread4/ifo_print.c \
                                        libdvdread4/ifo_read.c \
                                        libdvdread4/md5.c \
                                        libdvdread4/nav_print.c \
                                        libdvdread4/nav_read.c \

SRCS_COMMON-$(FAAD)                  += libmpcodecs/ad_faad.c
SRCS_COMMON-$(FASTMEMCPY)            += libvo/aclib.c
SRCS_COMMON-$(FFMPEG)                += libmpcodecs/vf_pp.c \
                                        av_opts.c \
                                        libaf/af_lavcac3enc.c \
                                        libaf/af_lavcresample.c \
                                        libmpcodecs/ad_ffmpeg.c \
                                        libmpcodecs/vd_ffmpeg.c \
                                        libmpcodecs/vf_lavc.c \
                                        libmpcodecs/vf_lavcdeint.c \
                                        libmpcodecs/vf_screenshot.c \
                                        libmpcodecs/vf_uspp.c \
                                        libmpdemux/demux_lavf.c \
                                        stream/stream_ffmpeg.c \
                                        sub/av_sub.c \

# Requires a new enough libavutil that installs eval.h
SRCS_COMMON-$(FFMPEG_EVAL_API)          += libmpcodecs/vf_geq.c \

# These filters use private headers and do not work with shared libavcodec.
SRCS_COMMON-$(FFMPEG_INTERNALS)      += libmpcodecs/vf_fspp.c \
                                        libmpcodecs/vf_geq.c \
                                        libmpcodecs/vf_mcdeint.c \
                                        libmpcodecs/vf_qp.c \
                                        libmpcodecs/vf_spp.c \

SRCS_COMMON-$(FREETYPE)              += sub/font_load_ft.c
SRCS_COMMON-$(FTP)                   += stream/stream_ftp.c
SRCS_COMMON-$(GIF)                   += libmpdemux/demux_gif.c
SRCS_COMMON-$(HAVE_POSIX_SELECT)     += libmpcodecs/vf_bmovl.c
SRCS_COMMON-$(HAVE_SYS_MMAN_H)       += libaf/af_export.c osdep/mmap_anon.c
SRCS_COMMON-$(JPEG)                  += libmpcodecs/vd_ijpg.c
SRCS_COMMON-$(LADSPA)                += libaf/af_ladspa.c
SRCS_COMMON-$(LIBA52)                += libmpcodecs/ad_liba52.c
SRCS_COMMON-$(LIBASS)                += libmpcodecs/vf_ass.c \
                                        sub/ass_mp.c \
                                        sub/sd_ass.c \

SRCS_COMMON-$(LIBBLURAY)             += stream/stream_bluray.c
SRCS_COMMON-$(LIBBS2B)               += libaf/af_bs2b.c
SRCS_COMMON-$(LIBDCA)                += libmpcodecs/ad_libdca.c
SRCS_COMMON-$(LIBDV)                 += libmpcodecs/ad_libdv.c \
                                        libmpcodecs/vd_libdv.c \
                                        libmpdemux/demux_rawdv.c
SRCS_COMMON-$(LIBDVDCSS_INTERNAL)    += libdvdcss/css.c \
                                        libdvdcss/device.c \
                                        libdvdcss/error.c \
                                        libdvdcss/ioctl.c \
                                        libdvdcss/libdvdcss.c \

SRCS_COMMON-$(LIBMAD)                += libmpcodecs/ad_libmad.c

SRCS_COMMON-$(LIBNEMESI)             += libmpdemux/demux_nemesi.c \
                                        stream/stream_nemesi.c
SRCS_COMMON-$(LIBNUT)                += libmpdemux/demux_nut.c
SRCS_COMMON-$(LIBSMBCLIENT)          += stream/stream_smb.c

SRCS_COMMON-$(LIBTHEORA)             += libmpcodecs/vd_theora.c
SRCS_COMMON-$(LIVE555)               += libmpdemux/demux_rtp.cpp \
                                        libmpdemux/demux_rtp_codec.cpp \
                                        stream/stream_live555.c
SRCS_COMMON-$(MACOSX_FINDER)         += osdep/macosx_finder_args.c
SRCS_COMMON-$(MNG)                   += libmpdemux/demux_mng.c
SRCS_COMMON-$(MPG123)                += libmpcodecs/ad_mpg123.c

SRCS_COMMON-$(MUSEPACK)              += libmpcodecs/ad_mpc.c \
                                        libmpdemux/demux_mpc.c
SRCS_COMMON-$(NATIVE_RTSP)           += stream/stream_rtsp.c \
                                        stream/freesdp/common.c \
                                        stream/freesdp/errorlist.c \
                                        stream/freesdp/parser.c \
                                        stream/librtsp/rtsp.c \
                                        stream/librtsp/rtsp_rtp.c \
                                        stream/librtsp/rtsp_session.c \

SRCS_COMMON-$(NEED_GETTIMEOFDAY)     += osdep/gettimeofday.c
SRCS_COMMON-$(NEED_GLOB)             += osdep/glob-win.c
SRCS_COMMON-$(NEED_MMAP)             += osdep/mmap-os2.c
SRCS_COMMON-$(NEED_SETENV)           += osdep/setenv.c
SRCS_COMMON-$(NEED_SHMEM)            += osdep/shmem.c
SRCS_COMMON-$(NEED_STRSEP)           += osdep/strsep.c
SRCS_COMMON-$(NEED_SWAB)             += osdep/swab.c
SRCS_COMMON-$(NEED_VSSCANF)          += osdep/vsscanf.c
SRCS_COMMON-$(NETWORKING)            += stream/stream_netstream.c \
                                        stream/asf_mmst_streaming.c \
                                        stream/asf_streaming.c \
                                        stream/cookies.c \
                                        stream/http.c \
                                        stream/network.c \
                                        stream/pnm.c \
                                        stream/rtp.c \
                                        stream/udp.c \
                                        stream/tcp.c \
                                        stream/stream_rtp.c \
                                        stream/stream_udp.c \
                                        stream/librtsp/rtsp.c \
                                        stream/realrtsp/asmrp.c \
                                        stream/realrtsp/real.c \
                                        stream/realrtsp/rmff.c \
                                        stream/realrtsp/sdpplin.c \
                                        stream/realrtsp/xbuffer.c \

SRCS_COMMON-$(PNG)                   += libmpcodecs/vd_mpng.c
SRCS_COMMON-$(PRIORITY)              += osdep/priority.c
SRCS_COMMON-$(PVR)                   += stream/stream_pvr.c
SRCS_COMMON-$(QTX_CODECS)            += libmpcodecs/ad_qtaudio.c \
                                        libmpcodecs/vd_qtvideo.c
SRCS_COMMON-$(RADIO)                 += stream/stream_radio.c
SRCS_COMMON-$(RADIO_CAPTURE)         += stream/audio_in.c
SRCS_COMMON-$(REAL_CODECS)           += libmpcodecs/ad_realaud.c \
                                        libmpcodecs/vd_realvid.c
SRCS_COMMON-$(SPEEX)                 += libmpcodecs/ad_speex.c
SRCS_COMMON-$(STREAM_CACHE)          += stream/cache2.c

SRCS_COMMON-$(TV)                    += stream/stream_tv.c stream/tv.c \
                                        stream/frequencies.c stream/tvi_dummy.c
SRCS_COMMON-$(TV_BSDBT848)           += stream/tvi_bsdbt848.c
SRCS_COMMON-$(TV_DSHOW)              += stream/tvi_dshow.c \
                                        loader/dshow/guids.c \
                                        loader/dshow/mediatype.c \

SRCS_COMMON-$(TV_V4L1)               += stream/tvi_v4l.c  stream/audio_in.c
SRCS_COMMON-$(TV_V4L2)               += stream/tvi_v4l2.c stream/audio_in.c
SRCS_COMMON-$(UNRAR_EXEC)            += sub/unrar_exec.c
SRCS_COMMON-$(VCD)                   += stream/stream_vcd.c
SRCS_COMMON-$(VORBIS)                += libmpcodecs/ad_libvorbis.c \
                                        libmpdemux/demux_ogg.c
SRCS_COMMON-$(VSTREAM)               += stream/stream_vstream.c
SRCS_QTX_EMULATION                   += loader/wrapper.S
SRCS_COMMON-$(QTX_EMULATION)         += $(SRCS_QTX_EMULATION)
SRCS_WIN32_EMULATION                 += loader/elfdll.c \
                                        loader/ext.c \
                                        loader/ldt_keeper.c \
                                        loader/module.c \
                                        loader/pe_image.c \
                                        loader/pe_resource.c \
                                        loader/registry.c \
                                        loader/resource.c \
                                        loader/win32.c \

SRCS_COMMON-$(WIN32_EMULATION)       += $(SRCS_WIN32_EMULATION)

SRCS_COMMON-$(WIN32DLL)              += libmpcodecs/ad_acm.c \
                                        libmpcodecs/ad_dmo.c \
                                        libmpcodecs/ad_dshow.c \
                                        libmpcodecs/ad_twin.c \
                                        libmpcodecs/vd_dmo.c \
                                        libmpcodecs/vd_dshow.c \
                                        libmpcodecs/vd_vfw.c \
                                        libmpcodecs/vd_vfwex.c \
                                        libmpdemux/demux_avs.c \
                                        loader/afl.c \
                                        loader/drv.c \
                                        loader/vfl.c \
                                        loader/dshow/DS_AudioDecoder.c \
                                        loader/dshow/DS_Filter.c \
                                        loader/dshow/DS_VideoDecoder.c \
                                        loader/dshow/allocator.c \

## mplayer2 2.0-134-g84d8671

=== debian/changelog ===
mplayer2 (2.0-134-g84d8671-2ubuntu0.1) oneiric-proposed; urgency=low

  * Enable CPU autodetection on architectures that support it.
    LP: #974125

 -- Julien Lavergne <gilir@ubuntu.com>  Wed, 12 Dec 2012 13:57:36 +0100

mplayer2 (2.0-134-g84d8671-2build1) oneiric; urgency=low

  * Rebuild for libswscale2 soname bump

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 27 Jun 2011 20:06:54 +0200

mplayer2 (2.0-134-g84d8671-2) experimental; urgency=low

  * enable runtime-cpudetection only on architectures where it is supported

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Jun 2011 18:40:45 +0200

mplayer2 (2.0-134-g84d8671-1) experimental; urgency=low

  * New upstream version
  * Switch to standalone tree
  * Build against system Libav

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 Apr 2011 07:28:58 +0200

mplayer2 (2.0-54-gd33877a-1) experimental; urgency=low

  * New upstream version
  * Bug fix: "internal MP3 decoder miscompiles with gcc 4.6", thanks to
    Norbert Preining (Closes: #623279). Fixed by no longer using internal
    mp3lib copy.
  * drop build host specific optimizations

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 21 Apr 2011 09:21:39 +0200

mplayer2 (2.0-1) experimental; urgency=low

  * New upstream release
  * provide, conflict and replace old mplayer1 package
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 18 Apr 2011 18:36:58 +0200

mplayer2 (2.0~rc2-1) experimental; urgency=low

  * Initial release (Closes: #613806)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 20 Mar 2011 22:48:03 +0100

=== debian/control ===
Source: mplayer2
Section: video
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 autoconf,
 automake,
 debhelper (>= 7.0.50~),
 docbook-xml,
 docbook-xsl,
 ladspa-sdk,
 libaa1-dev,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libass-dev,
 libaudio-dev,
 libavcodec-dev (>= 4:0.7~rc1~),
 libavformat-dev (>= 4:0.7~rc1~),
 libavutil-dev (>= 4:0.7~rc1~),
 libcaca-dev,
 libcdparanoia-dev | libcdparanoia0-dev,
 libdirectfb-dev,
 libdts-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libenca-dev,
 libesd0-dev,
 libfaad-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgif-dev,
 libgl1-mesa-dev,
 libjack-dev,
 libjpeg62-dev,
 liblircclient-dev,
 liblivemedia-dev,
 liblzo2-dev,
 libmpcdec-dev,
 libncurses5-dev,
 libopenal-dev,
 libpng12-dev | libpng-dev,
 libpostproc-dev (>= 4:0.7~rc1~),
 libpulse-dev,
 libschroedinger-dev,
 libsdl1.2-dev | libsdl1.1-dev,
 libsmbclient-dev,
 libspeex-dev,
 libsvga1-dev [i386 amd64],
 libswscale-dev (>= 4:0.7~rc1~),
 libtheora-dev (>= 1.0~beta1),
 libtool,
 libvdpau-dev,
 libvorbis-dev,
 libvorbisidec-dev,
 libx11-dev,
 libxext-dev,
 libxinerama-dev,
 libxv-dev,
 libxvmc-dev,
 libxxf86dga-dev,
 libxxf86vm-dev,
 pkg-config,
 python,
 vstream-client-dev,
 x11proto-core-dev,
 xsltproc,
 yasm,
 zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://mplayer2.org
Vcs-Git: git://git.debian.org/pkg-multimedia/mplayer2.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mplayer2.git;a=summary

Package: mplayer2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: mplayer
Conflicts: mplayer
Provides: mplayer
Description: next generation movie player for Unix-like systems
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV,
 QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It
 can also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 Another big feature of MPlayer is the wide range of supported output
 drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, DirectFB,
 but also SDL (plus all its drivers) and some low level card-specific
 drivers (for Matrox, 3Dfx and Radeon, Mach64 and Permedia3). Most of
 them support software or hardware scaling, therefore allowing fullscreen
 display. MPlayer is also able to use some hardware MPEG decoder boards,
 such as the DVB and DXR3/Hollywood+.

Package: mplayer2-dbg
Section: debug
Architecture: any
Depends: mplayer2 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for mplayer2
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV,
 QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It
 can also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 This package provides the debugging symbols for mplayer2.

=== debian/rules ===
#!/usr/bin/make -f

# Support multiple makes at once
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
# on i386 and amd64, we query the system unless overriden by DEB_BUILD_OPTIONS
ifeq      ($(DEB_HOST_ARCH),i386)
NUMJOBS := -j$(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
else ifeq ($(DEB_HOST_ARCH),amd64)
NUMJOBS := -j$(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
endif
endif

DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifeq ($(DEB_HOST_GNU_CPU),i686)
	CFLAGS += -march=i686
endif

confflags := --prefix=/usr --enable-translation --enable-debug=3 $(archconf)

ifeq ($(DEB_HOST_ARCH),i386)
#configure optimizes for the cpu detected at ./configure time
#in order to build a generic binary, avoid non-standard opcodes through gcc
  archconf += --target=i586-linux
  confflags += --enable-runtime-cpudetection
endif
ifeq ($(DEB_HOST_ARCH),amd64)
  confflags += --enable-runtime-cpudetection
endif
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
  confflags += --enable-runtime-cpudetection
endif
ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
  confflags += --enable-runtime-cpudetection
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
  confflags += --enable-runtime-cpudetection
endif

%:
	dh $@

override_dh_auto_configure:
	./configure $(confflags)

override_dh_auto_build:
	make V=1 $(NUMJOBS)

override_dh_install:
	dh_install
	find debian/mplayer2/ -type d -empty -delete

override_dh_strip:
	dh_strip --dbg-package=mplayer2-dbg

override_dh_clean:
	dh_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/([\d\.]+)-(rc|alpha|beta)([\d\.]*)/$1~$2$3/,\
filenamemangle=s/build-// \
http://ftp.mplayer2.org/pub/release/mplayer2-[^\d]*-(.*)\.tar\.xz

## mplayer2 2.0-426

=== Makefile ===
--- 
+++ 
@@ -59,28 +59,9 @@
 
 SRCS_COMMON-$(FAAD)                  += libmpcodecs/ad_faad.c
 SRCS_COMMON-$(FASTMEMCPY)            += libvo/aclib.c
-SRCS_COMMON-$(FFMPEG)                += libmpcodecs/vf_pp.c \
-                                        av_opts.c \
-                                        libaf/af_lavcac3enc.c \
-                                        libaf/af_lavcresample.c \
-                                        libmpcodecs/ad_ffmpeg.c \
-                                        libmpcodecs/vd_ffmpeg.c \
-                                        libmpcodecs/vf_lavc.c \
-                                        libmpcodecs/vf_lavcdeint.c \
-                                        libmpcodecs/vf_screenshot.c \
-                                        libmpcodecs/vf_uspp.c \
-                                        libmpdemux/demux_lavf.c \
-                                        stream/stream_ffmpeg.c \
-                                        sub/av_sub.c \
-
-# Requires a new enough libavutil that installs eval.h
-SRCS_COMMON-$(FFMPEG_EVAL_API)          += libmpcodecs/vf_geq.c \
 
 # These filters use private headers and do not work with shared libavcodec.
-SRCS_COMMON-$(FFMPEG_INTERNALS)      += libmpcodecs/vf_fspp.c \
-                                        libmpcodecs/vf_geq.c \
-                                        libmpcodecs/vf_mcdeint.c \
-                                        libmpcodecs/vf_qp.c \
+SRCS_COMMON-$(FFMPEG_INTERNALS)      += libmpcodecs/vf_mcdeint.c \
                                         libmpcodecs/vf_spp.c \
 
 SRCS_COMMON-$(FREETYPE)              += sub/font_load_ft.c
@@ -215,3 +196,26 @@
                                         loader/dshow/DS_Filter.c \
                                         loader/dshow/DS_VideoDecoder.c \
                                         loader/dshow/allocator.c \
+                                        loader/dshow/cmediasample.c \
+                                        loader/dshow/graph.c \
+                                        loader/dshow/guids.c \
+                                        loader/dshow/inputpin.c \
+                                        loader/dshow/mediatype.c \
+                                        loader/dshow/outputpin.c \
+                                        loader/dmo/DMO_AudioDecoder.c \
+                                        loader/dmo/DMO_VideoDecoder.c   \
+                                        loader/dmo/buffer.c   \
+                                        loader/dmo/dmo.c  \
+                                        loader/dmo/dmo_guids.c \
+
+SRCS_COMMON-$(XANIM_CODECS)          += libmpcodecs/vd_xanim.c
+SRCS_COMMON-$(XMMS_PLUGINS)          += libmpdemux/demux_xmms.c
+SRCS_COMMON-$(XVID4)                 += libmpcodecs/vd_xvid4.c
+SRCS_COMMON = asxparser.c \
+              av_log.c \
+              av_opts.c \
+              bstr.c \
+              codec-cfg.c \
+              cpudetect.c \
+              defaultopts.c \
+              edl.c \

## mplayer2 2.0-426-gc32b3ed

=== debian/changelog ===
mplayer2 (2.0-426-gc32b3ed-2ubuntu0.1) precise-proposed; urgency=low

  * Enable CPU autodetection on architectures that support it.
    LP: #974125

 -- Julien Lavergne <gilir@ubuntu.com>  Wed, 12 Dec 2012 14:13:19 +0100

mplayer2 (2.0-426-gc32b3ed-2) unstable; urgency=low

  * Upload to unstable
  * don't build-depend on libcdparanoia-dev on the hurd

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 12 Jan 2012 22:59:30 +0100

mplayer2 (2.0-426-gc32b3ed-1) experimental; urgency=low

  * New upstream snapshot.
    - Fixes endless loop with remote files via HTTP, Closes: #648593
  * Imported Upstream version 2.0-426-gc32b3ed
  * Tighten build dependencies on Libav 0.8, Closes: #654219
  * Drop all distro patches, all have been applied upstream

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Jan 2012 17:57:01 +0100

mplayer2 (2.0-134-g84d8671-9) unstable; urgency=high

  * Bug Fix: "CVE-2011-3625: Buffer overflow in SAMI parsing"
    Thanks to Mehdi Dogguy <mehdi@debian.org> for reporting (Closes: #646937)
  * Bumped urgency for fixing security issue.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 29 Oct 2011 10:38:32 +0200

mplayer2 (2.0-134-g84d8671-8) unstable; urgency=low

  * Fix build failure on sparc after recent binutils change.
  * Avoid any architecture optimization on sparc

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 10 Oct 2011 12:52:04 +0200

mplayer2 (2.0-134-g84d8671-7) unstable; urgency=low

  [ Alessio Treglia ]
  * Set Replaces/Conflicts/Provides field to properly fix file overwrite
    errors (Closes: #640100).

  [ Reinhard Tartler ]
  * upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 04 Oct 2011 13:26:01 +0200

mplayer2 (2.0-134-g84d8671-6) unstable; urgency=low

  * Drop libsvga support, it's dead upstream (Closes: #640229).

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 Sep 2011 10:38:26 +0200

mplayer2 (2.0-134-g84d8671-5) unstable; urgency=low

  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 02 Sep 2011 09:12:55 +0200

mplayer2 (2.0-134-g84d8671-4) experimental; urgency=low

  * Enable libbluray support, thanks to Andrea De Pirro for the report.

 -- Alessio Treglia <alessio@debian.org>  Tue, 30 Aug 2011 12:49:51 +0200

mplayer2 (2.0-134-g84d8671-3) experimental; urgency=low

  * Fix path for system-wide configuration file, Closes: #632575
  * Build against xvidcore
  * Rebuild against new libjpeg, libswscale

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 08 Aug 2011 21:14:55 +0200

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,12 @@
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libass-dev,
  libaudio-dev,
- libavcodec-dev (>= 4:0.7~rc1~),
- libavformat-dev (>= 4:0.7~rc1~),
- libavutil-dev (>= 4:0.7~rc1~),
+ libavcodec-dev (>= 4:0.8~),
+ libavformat-dev (>= 4:0.8~),
+ libavutil-dev (>= 4:0.8~),
+ libbluray-dev,
  libcaca-dev,
- libcdparanoia-dev | libcdparanoia0-dev,
+ libcdparanoia-dev [!hurd-i386] | libcdparanoia0-dev [!hurd-i386],
  libdirectfb-dev,
  libdts-dev,
  libdvdnav-dev,
@@ -34,7 +35,7 @@
  libgif-dev,
  libgl1-mesa-dev,
  libjack-dev,
- libjpeg62-dev,
+ libjpeg-dev,
  liblircclient-dev,
  liblivemedia-dev,
  liblzo2-dev,
@@ -42,14 +43,13 @@
  libncurses5-dev,
  libopenal-dev,
  libpng12-dev | libpng-dev,
- libpostproc-dev (>= 4:0.7~rc1~),
+ libpostproc-dev (>= 4:0.8~),
  libpulse-dev,
  libschroedinger-dev,
  libsdl1.2-dev | libsdl1.1-dev,
  libsmbclient-dev,
  libspeex-dev,
- libsvga1-dev [i386 amd64],
- libswscale-dev (>= 4:0.7~rc1~),
+ libswscale-dev (>= 4:0.8~),
  libtheora-dev (>= 1.0~beta1),
  libtool,
  libvdpau-dev,
@@ -59,6 +59,7 @@
  libxext-dev,
  libxinerama-dev,
  libxv-dev,
+ libxvidcore-dev,
  libxvmc-dev,
  libxxf86dga-dev,
  libxxf86vm-dev,
@@ -101,6 +102,9 @@
 Architecture: any
 Depends: mplayer2 (= ${binary:Version}),
  ${misc:Depends}
+Replaces: mplayer-dbg
+Conflicts: mplayer-dbg
+Provides: mplayer-dbg
 Description: Debugging symbols for mplayer2
  MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV,
  QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,12 @@
 	CFLAGS += -march=i686
 endif
 
-confflags := --prefix=/usr --enable-translation --enable-debug=3 $(archconf)
+confflags := --prefix=/usr \
+	--confdir=/etc/mplayer \
+	--enable-translation \
+	--disable-svga \
+	--enable-debug=3 \
+	$(archconf)
 
 ifeq ($(DEB_HOST_ARCH),i386)
 #configure optimizes for the cpu detected at ./configure time

## mplayer2 2.0-542

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,7 @@
 
 ###### variable declarations #######
 
-SRCS_AUDIO_INPUT-$(ALSA1X)           += stream/ai_alsa1x.c
-SRCS_AUDIO_INPUT-$(ALSA9)            += stream/ai_alsa.c
+SRCS_AUDIO_INPUT-$(ALSA)             += stream/ai_alsa1x.c
 SRCS_AUDIO_INPUT-$(OSS)              += stream/ai_oss.c
 SRCS_COMMON-$(AUDIO_INPUT)           += $(SRCS_AUDIO_INPUT-yes)
 SRCS_COMMON-$(BITMAP_FONT)           += sub/font_load.c
@@ -93,13 +92,17 @@
 SRCS_COMMON-$(LIBNEMESI)             += libmpdemux/demux_nemesi.c \
                                         stream/stream_nemesi.c
 SRCS_COMMON-$(LIBNUT)                += libmpdemux/demux_nut.c
+SRCS_COMMON-$(LIBPOSTPROC)           += libmpcodecs/vf_pp.c
 SRCS_COMMON-$(LIBSMBCLIENT)          += stream/stream_smb.c
 
 SRCS_COMMON-$(LIBTHEORA)             += libmpcodecs/vd_theora.c
 SRCS_COMMON-$(LIVE555)               += libmpdemux/demux_rtp.cpp \
                                         libmpdemux/demux_rtp_codec.cpp \
                                         stream/stream_live555.c
-SRCS_COMMON-$(MACOSX_FINDER)         += osdep/macosx_finder_args.c
+SRCS_COMMON-$(MACOSX_FINDER)         += osdep/macosx_finder_args.m
+SRCS_COMMON-$(COCOA)                 += libvo/osx_common.c \
+                                        libvo/cocoa_common.m \
+                                        osdep/cocoa_events.m
 SRCS_COMMON-$(MNG)                   += libmpdemux/demux_mng.c
 SRCS_COMMON-$(MPG123)                += libmpcodecs/ad_mpg123.c
 
@@ -115,7 +118,6 @@
 
 SRCS_COMMON-$(NEED_GETTIMEOFDAY)     += osdep/gettimeofday.c
 SRCS_COMMON-$(NEED_GLOB)             += osdep/glob-win.c
-SRCS_COMMON-$(NEED_MMAP)             += osdep/mmap-os2.c
 SRCS_COMMON-$(NEED_SETENV)           += osdep/setenv.c
 SRCS_COMMON-$(NEED_SHMEM)            += osdep/shmem.c
 SRCS_COMMON-$(NEED_STRSEP)           += osdep/strsep.c
@@ -215,7 +217,3 @@
               av_log.c \
               av_opts.c \
               bstr.c \
-              codec-cfg.c \
-              cpudetect.c \
-              defaultopts.c \
-              edl.c \
